Get historical KPI trends

Returns KPI data points from the most recent completed runs, ordered newest first. Use the `limit` query parameter to control how many runs to include (default 12, max 52).

GET /analysis/trends

Get historical KPI trends

Returns KPI data points from the most recent completed runs, ordered newest first. Use the `limit` query parameter to control how many runs to include (default 12, max 52).

Authentication: API key required (Bearer token)

Parameters

NameInRequiredDescription
limitqueryNoMaximum number of historical data points to return.
providerqueryNoFilter summary calculations by provider ID.
locationqueryNoFilter summary calculations by exact ISO 3166-1 alpha-2 location code.
tagqueryNoFilter summary calculations by prompt tag.

Request Example

curl -X GET https://sellm.io/api/v1/analysis/trends \
  -H "Authorization: Bearer sellm_your_api_key_here"

Responses

StatusDescription
200Historical KPI trends
401Unauthorized
429Rate limited
500Internal error